Bug 1295620 - UI submits all template objects to v1 API, regardless of object API version
UI submits all template objects to v1 API, regardless of object API version
Status: CLOSED NOTABUG
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
yapei
:
Depends On: 1261076
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 22:02 EST by yapei
Modified: 2016-01-05 00:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1261076
Environment:
Last Closed: 2016-01-05 00:12:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yapei 2016-01-04 22:02:16 EST
+++ This bug was initially created as a clone of Bug #1261076 +++

Description of problem:

Cloned from https://github.com/openshift/origin/issues/4410 to add QE test cases.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a template containing v1beta3 object definitions
2. Load the template into the API
3. In the web UI, create from the template

Actual results:
An API error is returned: "Cannot create object... the apiVersion does not match"

Expected results:
Object is created successfully.

Additional info:

--- Additional comment from Jordan Liggitt on 2015-09-08 10:12:39 EDT ---

Fixed in https://github.com/openshift/origin/pull/4545

--- Additional comment from  on 2015-09-09 06:00:41 EDT ---

QE added one test case https://goo.gl/rEc12o 

Tested on devenv_fedora_2304, it works well
Comment 1 yapei 2016-01-04 22:03:57 EST
fixed not merged to OSE 3.1.1

openshift v3.1.1.0
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2
Comment 2 Jordan Liggitt 2016-01-04 23:24:29 EST
v1beta3 is no longer supported in 3.1
a test case that uses v1beta3 is no longer valid
Comment 3 yapei 2016-01-05 00:12:42 EST
thanks and I will close this issue

Note You need to log in before you can comment on or make changes to this bug.